Bug 509179 - F11: D430: gnome-power-manager does not sense laptop off adapter
F11: D430: gnome-power-manager does not sense laptop off adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 12:35 EDT by Kevin Verma
Modified: 2010-06-28 09:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2009-07-01 12:35:09 EDT
Description of problem:

On my Dell Latitude D430 laptop g-p-m does not sense that I've plugged out the adapter. But acpi does sense that it appears as per outputs from /proc/acpi 

Version-Release number of selected component (if applicable):

$ rpm -q gnome-power-manager
gnome-power-manager-2.26.2-1.fc11.x86_64

How reproducible:

mostly 

Steps to Reproduce:
1. power-on laptop && log into gnome session 
2. un-plug or switch-off power adapter 
3. notice g-p-m unware of adapter removed and still showing powerplug + battery icon 
  
Actual results:

g-p-m icon in taskbar shows powerplug+battery icon 

Expected results:

g-p-m should show only battery as icon in taskbar since no adapter is not plugged in and adapter is 20feets away :-D 

Additional info:

Outputs from /proc/acpi when this issue in noticed  at the movement 

[root@localhost ~]# cat /proc/acpi/ac_adapter/AC/state 
state:                   off-line
[root@localhost ~]# cat /proc/acpi/battery/BAT0/
alarm  info   state  
[root@localhost ~]# cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         6200 mAh
last full capacity:      3495 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 620 mAh
design capacity low:     187 mAh
capacity granularity 1:  62 mAh
capacity granularity 2:  62 mAh
model number:            DELL NX6268
serial number:           994
battery type:            LION
OEM info:                Sanyo
[root@localhost ~]# cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            2038 mA
remaining capacity:      2894 mAh
present voltage:         11579 mV
Comment 1 Kevin Verma 2009-07-01 13:51:37 EDT
Just after opening this bug I went to grab some food I came back and noticed that g-p-m was still un aware of laptop being off-adapter while that output from /proc/acpi shows critical battery to me: 

[root@localhost ~]# cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            2228 mA
remaining capacity:      463 mAh
present voltage:         10638 mV
 
I went ahead and plugged the laptop back on adapter and g-p-m goes bingo, tells me battery is critical icon changed to critical-battery almost empty ; then icon quickly changed to battery being charged. 

(Not just that, I aslo feel  battery life on my laptop is much shorter since I moved to F11)

Are there any g-p-m specefic data I can provide you to check with ? 

I think severity of this issue should be much higher for me.
Comment 2 Kevin Verma 2009-07-07 18:00:02 EDT
This is annoying when g-p-m hasn't noticed that its off-adapter and suddenly notices critical battery - system hibernates. 

I'd rush the system to desk and plug in adapter, after resume and login via gnome-screensaver g-p-m continues to loop and hibernate the system.
Comment 3 Richard Hughes 2009-08-20 08:04:19 EDT
Does installing the latest gnome-power-manager and DeviceKit packages in updates-testing (and then rebooting...) fix the problem?
Comment 4 Bug Zapper 2010-04-27 11:24:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:25:00 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.